Retrieves a list of states for a given country ISO code.

This method returns a list of all states for the specified country. Each state includes its unique identifier, state code, and name.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

isoCodestringRequired
The ISO code of the country.

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
datalist of objects
If the API call succeeded, this will contain the results.